package com.cmeeting.pojo;

import java.util.Objects;

/**
 * 会议信息实体类
 */
public class MeetingInfo {
    /**
     * 会议主题
     */
    private String subject;
    
    /**
     * 会议ID（字符串类型）
     */
    private String meetingId;
    
    /**
     * 会议号码
     */
    private String meetingCode;
    
    /**
     * 用户ID
     */
    private String userId;
    
    /**
     * 用户昵称
     */
    private String nickName;
    
    /**
     * 会议开始时间（时间戳）
     */
    private Long startTime;
    
    /**
     * 会议结束时间（时间戳）
     */
    private Long endTime;
    
    /**
     * 参会人数
     */
    private Integer participantsNum;
    
    /**
     * 会议总时长（秒）
     */
    private Integer meetingDuration;
    
    /**
     * 用户参会时长（秒）
     */
    private Integer userMeetingDuration;

    // 构造方法
    public MeetingInfo() {
    }

    // Getter 和 Setter 方法
    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getMeetingId() {
        return meetingId;
    }

    public void setMeetingId(String meetingId) {
        this.meetingId = meetingId;
    }

    public String getMeetingCode() {
        return meetingCode;
    }

    public void setMeetingCode(String meetingCode) {
        this.meetingCode = meetingCode;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Long getEndTime() {
        return endTime;
    }

    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }

    public Integer getParticipantsNum() {
        return participantsNum;
    }

    public void setParticipantsNum(Integer participantsNum) {
        this.participantsNum = participantsNum;
    }

    public Integer getMeetingDuration() {
        return meetingDuration;
    }

    public void setMeetingDuration(Integer meetingDuration) {
        this.meetingDuration = meetingDuration;
    }

    public Integer getUserMeetingDuration() {
        return userMeetingDuration;
    }

    public void setUserMeetingDuration(Integer userMeetingDuration) {
        this.userMeetingDuration = userMeetingDuration;
    }

    // toString 方法
    @Override
    public String toString() {
        return "MeetingInfo{" +
                "subject='" + subject + '\'' +
                ", meetingId='" + meetingId + '\'' +
                ", meetingCode='" + meetingCode + '\'' +
                ", userId='" + userId + '\'' +
                ", nickName='" + nickName + '\'' +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                ", participantsNum=" + participantsNum +
                ", meetingDuration=" + meetingDuration +
                ", userMeetingDuration=" + userMeetingDuration +
                '}';
    }

    // equals 和 hashCode 方法
    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        MeetingInfo that = (MeetingInfo) o;
        return Objects.equals(meetingId, that.meetingId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(meetingId);
    }
}